from spire.doc import *
from spire.doc.common import *

# 创建一个 Document 类对象并加载一个 Word 文档
doc = Document()
doc.LoadFromFile(
    "/home/ccran/lufa-contract/demo/湖南麓谷发展集团“主数据管理系统与合同管理系统开发”项目合同协议书-审核批注20260511_153215.docx"
)

# 移除第二个注释
# doc.Comments.RemoveAt(1)

# 移除所有注释
doc.Comments.Clear()

# 保存文档
doc.SaveToFile(
    "/home/ccran/lufa-contract/demo/湖南麓谷发展集团“主数据管理系统与合同管理系统开发”项目合同协议书-审核批注20260511_153215-无批注.docx"
)
doc.Close()
